pcl::DenseQuantizedMultiModTemplate Struct Reference

`#include <pcl/recognition/dense_quantized_multi_mod_template.h>`

## Public Member Functions

void | serialize (std::ostream &stream) const
void | deserialize (std::istream &stream)

## Public Attributes

std::vector< DenseQuantizedSingleModTemplate > | modalities
float | response_factor
RegionXY | region

## Detailed Description

Definition at line 78 of file dense_quantized_multi_mod_template.h.

## Member Function Documentation

void pcl::DenseQuantizedMultiModTemplate::deserialize | ( | std::istream & | stream | ) |

inline

Definition at line 99 of file dense_quantized_multi_mod_template.h.

References pcl::RegionXY::deserialize(), and pcl::read().

void pcl::DenseQuantizedMultiModTemplate::serialize | ( | std::ostream & | stream | ) | const

inline

Definition at line 86 of file dense_quantized_multi_mod_template.h.

References pcl::RegionXY::serialize(), and pcl::write().

## Member Data Documentation

std::vector<DenseQuantizedSingleModTemplate> pcl::DenseQuantizedMultiModTemplate::modalities

Definition at line 80 of file dense_quantized_multi_mod_template.h.

RegionXY pcl::DenseQuantizedMultiModTemplate::region

Definition at line 83 of file dense_quantized_multi_mod_template.h.

float pcl::DenseQuantizedMultiModTemplate::response_factor

Definition at line 81 of file dense_quantized_multi_mod_template.h.

The documentation for this struct was generated from the following file:

- /build/pcl-6_P28C/pcl-1.7.2/recognition/include/pcl/recognition/dense_quantized_multi_mod_template.h